### Hierarchy

- DatePickerInput

## Index

### Inputs

- disabled
- hasIcon
- id
- invalid
- invalidText
- label
- pattern
- placeholder
- size
- skeleton
- theme
- type
- value
- warn
- warnText

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- disabled
- elementRef
- hasIcon
- id
- input
- invalid
- invalidText
- label
- pattern
- placeholder
- size
- skeleton
- theme
- type
- value
- valueChange
- warn
- warnText
- datePickerCount

### Methods

- isTemplate
- onChange
- onTouched
- propagateChange
- registerOnChange
- registerOnTouched
- writeValue

## Constructors

### constructor

- new DatePickerInput(elementRef: ElementRef): DatePickerInput

- - Defined in src/datepicker-input/datepicker-input.component.ts:137

  #### Parameters

  - ##### elementRef: ElementRef

  #### Returns DatePickerInput

## Properties

### disabled

@Input()
disabled: boolean = false

- Defined in src/datepicker-input/datepicker-input.component.ts:112

### Protected elementRef

elementRef: ElementRef

- Defined in src/datepicker-input/datepicker-input.component.ts:139

### hasIcon

@Input()
hasIcon: boolean = false

- Defined in src/datepicker-input/datepicker-input.component.ts:100

### id

@Input()
id: string = `datepicker-${DatePickerInput.datePickerCount++}`

- Defined in src/datepicker-input/datepicker-input.component.ts:98

### input

@ViewChild({"selector":"input","opts":"{ static: false }"})
input: ElementRef

- Defined in src/datepicker-input/datepicker-input.component.ts:137

### invalid

@Input()
invalid: boolean = false

- Defined in src/datepicker-input/datepicker-input.component.ts:116

### invalidText

@Input()
invalidText: string | TemplateRef<any>

- Defined in src/datepicker-input/datepicker-input.component.ts:120

### label

@Input()
label: string | TemplateRef<any>

- Defined in src/datepicker-input/datepicker-input.component.ts:102

### pattern

@Input()
pattern: string = "^\d{1,2}/\d{1,2}/\d{4}$"

- Defined in src/datepicker-input/datepicker-input.component.ts:106

### placeholder

@Input()
placeholder: string = "mm/dd/yyyy"

- Defined in src/datepicker-input/datepicker-input.component.ts:104

### size

@Input()
size: "sm" | "md" | "xl" = "md"

- Defined in src/datepicker-input/datepicker-input.component.ts:134

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/datepicker-input/datepicker-input.component.ts:130

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/datepicker-input/datepicker-input.component.ts:110

### type

@Input()
type: "simple" | "single" | "range" = "simple"

- Defined in src/datepicker-input/datepicker-input.component.ts:96

### value

@Input()
value: string = ""

- Defined in src/datepicker-input/datepicker-input.component.ts:132

### valueChange

@Output()
valueChange: EventEmitter<string> = new EventEmitter()

- Defined in src/datepicker-input/datepicker-input.component.ts:108

### warn

@Input()
warn: boolean = false

- Defined in src/datepicker-input/datepicker-input.component.ts:124

### warnText

@Input()
warnText: string | TemplateRef<any>

- Defined in src/datepicker-input/datepicker-input.component.ts:128

### Static Private datePickerCount

datePickerCount: number = 0

- Defined in src/datepicker-input/datepicker-input.component.ts:91

## Methods

### isTemplate

- isTemplate(value: any): boolean

- - Defined in src/datepicker-input/datepicker-input.component.ts:164

  #### Parameters

  - ##### value: any

  #### Returns boolean

### onChange

- onChange(event: any): void

- - Defined in src/datepicker-input/datepicker-input.component.ts:141

  #### Parameters

  - ##### event: any

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/datepicker-input/datepicker-input.component.ts:160

  #### Returns void

### propagateChange

- propagateChange(_: any): void

- - Defined in src/datepicker-input/datepicker-input.component.ts:162

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/datepicker-input/datepicker-input.component.ts:152

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/datepicker-input/datepicker-input.component.ts:156

  #### Parameters

  - ##### fn: any

  #### Returns void

### writeValue

- writeValue(value: any): void

- - Defined in src/datepicker-input/datepicker-input.component.ts:148

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc